---
title: RTCIceCandidateInit.sdpMLineIndex
slug: Web/API/RTCIceCandidateInit/sdpMLineIndex
tags:
  - API
  - NeedsExample
  - Property
  - RTCIceCandidateInit
  - Reference
  - SDP
  - WebRTC
  - WebRTC API
  - m-line
  - sdpMLineIndex
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The optional property <strong><code>sdpMLineIndex</code></strong> in the <strong>{{domxref("RTCIceCandidateInit")}}</strong> dictionary specifies the value of the {{domxref("RTCIceCandidate")}} object's {{domxref("RTCIceCandidate.sdpMLineIndex", "sdpMLineIndex")}} property.</span></p>

<h2 id="Value">Value</h2>

<p>{{page("/en-US/docs/Web/API/RTCIceCandidate/sdpMLineIndex", "Value")}}</p>

<h2 id="Example">Example</h2>

<p>...</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#dom-rtcicecandidateinit-sdpmlineindex', 'RTCIceCandidateInit.sdpMLineIndex') }}</td>
   <td>{{ Spec2('WebRTC 1.0') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidateInit.sdpMLineIndex")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a></li>
 <li>{{domxref("RTCIceCandidate.sdpMLineIndex")}}</li>
 <li>{{domxref("RTCPeerConnection.addIceCandidate()")}}</li>
 <li>{{event("icecandidate")}}</li>
 <li><a href="/en-US/docs/Web/API/WebRTC_API/Session_lifetime">Lifetime of a WebRTC session</a></li>
</ul>
